vim.cmd.packadd('packer.nvim')

return require('packer').startup(function(use)
  -- Инициализация пакетного менеджера
  use 'wbthomason/packer.nvim'

  -- Тема редактора "sonokai"
  use 'sainnhe/sonokai'

  -- Информационная строка
  use {
    'nvim-lualine/lualine.nvim',
    config = function()
      require('lualine').setup {
        options = {
          theme = 'sonokai',
        },
        sections = {
          lualine_a = { 'mode' },
          lualine_b = { 'branch', 'diff' },
          lualine_c = { 'filename' },
          lualine_x = { 'encoding', 'filetype', 'filesize' },
          lualine_y = { 'progress' },
          lualine_z = { 'location' },
        }
      }
    end,
  }

  -- Комментирование строк
  use {
    'numToStr/Comment.nvim',
    config = function()
      require('Comment').setup {}
    end,
  }

  -- Расширенная подсветка синтаксиса
  use {
    'nvim-treesitter/nvim-treesitter',
    config = function()
      require('nvim-treesitter.configs').setup {
        ensure_installed = { 'bash', 'css', 'dockerfile', 'go', 'html', 'javascript', 'lua', 'markdown', 'php', 'rust', 'scss', 'typescript', 'vue' },
        sync_install = false,
        auto_install = true,
        highlight = {
          enable = true,
          additional_vim_regex_highlighting = false,
        }
      }
    end,
  }

  -- Автоматическое закрытие скобок
  use {
    'windwp/nvim-autopairs',
    config = function()
      require('nvim-autopairs').setup {}
    end,
  }

  -- Линтер для файлов
  use 'dense-analysis/ale'

  -- Структура классов и функций файла
  use 'majutsushi/tagbar'
end)
